EnvoyResponse is a little enhanced from the original Response of node-fetch

### Hierarchy

- Response
  - EnvoyResponse

## Index

### Constructors

- constructor

### Properties

- body
- bodyUsed
- headers
- ok
- overloaded
- size
- status
- statusText
- timeout
- type
- upstreamServiceTime
- url

### Methods

- arrayBuffer
- buffer
- clone
- json
- text
- error
- redirect

## Constructors

### constructor

- new EnvoyResponse(body?: BodyInit, init?: ResponseInit): EnvoyResponse

- Inherited from Response.__constructor

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:83

  #### Parameters

  - ##### Optional body: BodyInit

  - ##### Optional init: ResponseInit

  #### Returns EnvoyResponse

## Properties

### body

body: ReadableStream

Inherited from Body.body

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:75

### bodyUsed

bodyUsed: boolean

Inherited from Body.bodyUsed

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:74

### headers

headers: Headers

Inherited from Response.headers

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:94

### ok

ok: boolean

Inherited from Response.ok

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:90

### overloaded

overloaded: boolean

- Defined in envoy-fetch.ts:16

Envoy will set this header on the downstream response if a request was dropped due to either maintenance mode or upstream circuit breaking.

### size

size: number

Inherited from Response.size

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:91

### status

status: number

Inherited from Response.status

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:89

### statusText

statusText: string

Inherited from Response.statusText

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:92

### timeout

timeout: number

Inherited from Response.timeout

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:93

### type

type: ResponseType

Inherited from Response.type

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:87

### upstreamServiceTime

upstreamServiceTime: number

- Defined in envoy-fetch.ts:22

Contains the time in milliseconds spent by the upstream host processing the request. This is useful if the client wants to determine service time compared to network latency. This header is set on responses.

### url

url: string

Inherited from Response.url

- Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:88

## Methods

### arrayBuffer

- arrayBuffer(): Promise<ArrayBuffer>

- Inherited from Body.arrayBuffer

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:80

  #### Returns Promise<ArrayBuffer>

### buffer

- buffer(): Promise<Buffer>

- Inherited from Body.buffer

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:79

  #### Returns Promise<Buffer>

### clone

- clone(): Response

- Inherited from Response.clone

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:95

  #### Returns Response

### json

- json(): Promise<any>
- json<T>(): Promise<T>

- Inherited from Body.json

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:76

  #### Returns Promise<any>

- Inherited from Body.json

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:77

  #### Type parameters

  - #### T

  #### Returns Promise<T>

### text

- text(): Promise<string>

- Inherited from Body.text

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:78

  #### Returns Promise<string>

### Static error

- error(): Response

- Inherited from Response.error

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:85

  #### Returns Response

### Static redirect

- redirect(url: string, status: number): Response

- Inherited from Response.redirect

  - Defined in /home/travis/build/Tubitv/envoy-node/node_modules/@types/node-fetch/index.d.ts:86

  #### Parameters

  - ##### url: string

  - ##### status: number

  #### Returns Response

Generated using TypeDoc